com.tibco.ftl

## Interface InboxSubscriber

- All Superinterfaces:
    Subscriber

      public interface InboxSubscriber
      extends Subscriber

  Inbox subscribers receive one-to-one messages.

  InboxSubscriber inherits most of its behavior from `Subscriber`, with the following differences:

  - Each inbox subscriber contains a unique inbox object. Programs can obtain that inbox using the `getInbox` method, and send it in a message to other program instances. Other programs that receive the inbox object can efficiently send one-to-one messages to the inbox subscriber using the method `Publisher.sendToInbox`. Closing the inbox subscriber destroys its inbox.
  - An inbox subscriber receives all messages sent (through its endpoint) to its inbox. It cannot use a content matcher to filter messages.

  An inbox subscriber remains inert until you add it to an event queue.

  To create an inbox subscriber object, call `Realm.createInboxSubscriber`. Programs must define a callback method in a class that implements the `SubscriberListener` interface.

  Customers do not implement this interface.

- - ### Field Summary

    - ### Fields inherited from interface com.tibco.ftl.Subscriber

      `PROPERTY_BOOL_EXPLICIT_ACK, PROPERTY_BOOL_NOLOCAL_MESSAGE_DELIVERY, PROPERTY_BOOL_RELEASE_MSGS_TO_CALLBACK, PROPERTY_DOUBLE_PERSISTENCE_RETRY_DURATION, PROPERTY_LONG_PREFETCH_SIZE, PROPERTY_STRING_DURABLE_NAME, PROPERTY_STRING_KEY_FIELD_NAME, PROPERTY_STRING_LABEL, PROPERTY_STRING_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Inbox` | `getInbox()` Get the inbox object from an inbox subscriber.

    - ### Methods inherited from interface com.tibco.ftl.Subscriber

      `acknowledge, close`

- - ### Method Detail

    - #### getInbox

          Inbox getInbox()

      Get the inbox object from an inbox subscriber.

      Messages can carry this inbox object to other programs (see `Message.setInbox`). Programs that receive that inbox can send a stream of one-to-one messages to the inbox subscriber.

      Your program must not explicitly destroy the inbox because the inbox subscriber owns it.

      Specified by:
        `getInbox` in interface `Subscriber`
      Returns:
        an inbox object